Subject: RE: [Ecrit] draft-polk-dhc-uri-00

From: "Stastny Richard" <[email-masked]>
Date: Wed, 14 Sep 2005 15:50:21 +0200

Brian, good you brought this up:

> ...because, due to failures or other disaster related
> effects, the mapping may have changed.  It IS a transaction you want
to do
> when you want to make a call setup, because you want the most recent
data.

You may add organisational changes.

This implies that there MUST be an authoritative source for the PSAP URI
- and this can only be the mapping database (LCMS) and there MUST also
 be defined a TTL for the PSAP URI.

1. for the mapping database itself, if caches are used
(e.g. if it is DNS-based) and 
2. for all other "caches".

Any PSAP URI for a given location out of the mapping database is
in principle a "cached" information.

If the URI is provided say by DHCP from the box responsible to
provide the IP-address, the box itself has to go back and query
the mapping database periodically to update his information.

It then MUST set the TTL (lease-time) appropriately that the information
is distributed further in a timely manner.

Richard

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Brian Rosen
> Sent: Wednesday, September 14, 2005 3:07 PM
> To: 'Marc Linsner'; 'James M. Polk'
> Cc: [email-masked]; 'ECRIT'
> Subject: RE: [Ecrit] draft-polk-dhc-uri-00
> 
> I've previously argued that while getting it when you boot (i.e. run
DHCP)
> is a good idea, it would be best if you did the mapping from location
to
> URI
> just before the call, because, due to failures or other disaster
related
> effects, the mapping may have changed.  It IS a transaction you want
to do
> when you want to make a call setup, because you want the most recent
data.
> 
> You also want to make certain that you refresh this data periodically.
> Daily is probably the minimum, and you know that some DHCP lease times
are
> on the order of weeks.
> 
> So, I would like this wording significantly changed.
> 
> Brian
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Marc Linsner
> Sent: Wednesday, September 14, 2005 8:48 AM
> To: 'James M. Polk'
> Cc: [email-masked]; 'ECRIT'
> Subject: [Ecrit] draft-polk-dhc-uri-00
> 
> James,
> 
> Would you please provide the basis for your text below regarding the
> timing
> of psap determination, I can't seem to match it up with any of the
> requirements within ecrit or geopriv.
> 
> "One example of this URI download would be one specifically for the
SIP or
> SIPS URI of the appropriate Public Safety Answer Point (PSAP) for the
> client
> when the user of that client calls for emergency help (911 or 112-type
of
> help).  This is not a transaction that should take place when a voice
> application wants to make such a critical call set-up.  It is more
> appropriate that this information be downloaded to the client when the
> voice
> (or other) application boots up in case it is needed at a later time."
> 
> Thanks,
> 
> -Marc-
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit